from AccessControl.Permissions import add_user_folders
from Products.PluggableAuthService import registerMultiPlugin

from plugins import challenge

try:
    registerMultiPlugin(challenge.NoGoChallenger.meta_type)
except RuntimeError:
    # ignore exceptions on re-registering the plugin
    pass


def initialize(context):
    context.registerClass(challenge.NoGoChallenger,
                    permission=add_user_folders,
                    constructors=(challenge.manage_addNoGoChallengerForm,
                                  challenge.manage_addNoGoChallenger),
                    visibility=None,
                    icon="zmi/nogo.gif")


